Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.highlight
Interface Formatter

All Known Implementing Classes:
  GradientFormatter, SimpleHTMLFormatter, SpanGradientFormatter

    public interface Formatter

Processes terms found in the original text, typically by applying some form of mark-up to highlight terms in HTML search results pages.

Method Summary
`String` | `highlightTerm(String originalText, TokenGroup tokenGroup)`

Method Detail

### highlightTerm

    String highlightTerm(String originalText,
                         TokenGroup tokenGroup)

  Parameters:
    `originalText` - The section of text being considered for markup
    `tokenGroup` - contains one or several overlapping Tokens along with their scores and positions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.